Last Comment Bug 693254 - IndexedDB: db.transaction([]) should create a transaction with empty scope
: IndexedDB: db.transaction([]) should create a transaction with empty scope
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM: IndexedDB (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks: idb
  Show dependency treegraph
 
Reported: 2011-10-10 02:21 PDT by Jonas Sicking (:sicking)
Modified: 2012-03-22 11:50 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Jonas Sicking (:sicking) 2011-10-10 02:21:01 PDT
Currently we create a transaction with every object store in scope. This does not match spec behavior. Google says that they will align with spec too.
Comment 1 Boris Zbarsky [:bz] 2011-10-10 08:12:20 PDT
Didn't Microsoft say they currently align with the spec but think the spec behavior is dumb?
Comment 2 Jonas Sicking (:sicking) 2011-10-12 14:12:41 PDT
At this point it's clear that people agree that it should not create a transaction with all objectStores in scope. It's still discussed if it should throw or create a transaction with empty scope. I personally don't care either way.
Comment 3 Jonas Sicking (:sicking) 2011-11-07 16:53:12 PST
This was fixed in bug 692669

Note You need to log in before you can comment on or make changes to this bug.